SWFieldManagerInternal::FieldSetExp Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
SWFieldManagerInternal::FieldSetExp Struct Referencefinal

Internal: a set expr field. More...

Inheritance diagram for SWFieldManagerInternal::FieldSetExp:

## Public Member Functions
| FieldSetExp ()
| constructor More...
| FieldSetExp (Field const &orig)
| copy constructor More...
| ~FieldSetExp () final
| destructor More...
bool | send (STOFFListenerPtr &listener, StarState &state) const final
| add to send the zone data More...
void | print (std::ostream &o) const final
| print a field More...
Public Member Functions inherited from SWFieldManagerInternal::Field
| Field ()
| constructor More...
virtual | ~Field ()
| destructor More...
virtual bool | send (STOFFListenerPtr &listener, StarState &state) const
| add to send the zone data More...
virtual void | print (std::ostream &o) const
| print a field More...

## Public Attributes
int | m_fieldType
| the field type More...
librevenge::RVNGString | m_formula
| the formula More...
librevenge::RVNGString | m_prompt
| the prompt More...
int | m_seqVal
| the seq value More...
int | m_seqNo
| the seq number More...
char | m_delim
| the deliminator More...
Public Attributes inherited from SWFieldManagerInternal::Field
int | m_type
| the field type More...
int | m_subType
| the subtype More...
int | m_format
| the field format More...
librevenge::RVNGString | m_name
| the name More...
librevenge::RVNGString | m_content
| the content More...
librevenge::RVNGString | m_textValue
| the value text More...
double | m_doubleValue
| double More...
int | m_level
| the chapter level More...

## Additional Inherited Members
Protected Member Functions inherited from SWFieldManagerInternal::Field
| Field (const Field &)=default
| copy constructor More...

## Detailed Description

Internal: a set expr field.

## Constructor & Destructor Documentation

## ◆ FieldSetExp() [1/2]

SWFieldManagerInternal::FieldSetExp::FieldSetExp | ( |  | ) |
| inline

constructor

## ◆ FieldSetExp() [2/2]

SWFieldManagerInternal::FieldSetExp::FieldSetExp | ( | Field const & | orig | ) |
| inlineexplicit

copy constructor

## ◆ ~FieldSetExp()

SWFieldManagerInternal::FieldSetExp::~FieldSetExp | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

void SWFieldManagerInternal::FieldSetExp::print | ( | std::ostream & | o | ) | const
| inlinefinalvirtual

print a field

Reimplemented from SWFieldManagerInternal::Field.

## ◆ send()

bool SWFieldManagerInternal::FieldSetExp::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | state
| ) |  | const
| finalvirtual

add to send the zone data

Reimplemented from SWFieldManagerInternal::Field.

## Member Data Documentation

## ◆ m_delim

char SWFieldManagerInternal::FieldSetExp::m_delim

the deliminator

Referenced by print().

## ◆ m_fieldType

int SWFieldManagerInternal::FieldSetExp::m_fieldType

the field type

Referenced by print().

## ◆ m_formula

librevenge::RVNGString SWFieldManagerInternal::FieldSetExp::m_formula

the formula

Referenced by print(), and send().

## ◆ m_prompt

librevenge::RVNGString SWFieldManagerInternal::FieldSetExp::m_prompt

the prompt

Referenced by print().

## ◆ m_seqNo

int SWFieldManagerInternal::FieldSetExp::m_seqNo

the seq number

Referenced by print().

## ◆ m_seqVal

int SWFieldManagerInternal::FieldSetExp::m_seqVal

the seq value

Referenced by print().

The documentation for this struct was generated from the following file:

- SWFieldManager.cxx